Page MenuHomePhabricator

Filters by triage state for Plagiabot tool labs interface
Closed, ResolvedPublic5 Story Points

Description

Add a box at the top of the interface, with radio buttons to filter by triage state

Options:

  • Open cases - all items that have not been reviewed (default state)
  • All "Page fixed" cases
  • All "No action needed" cases
  • My reviews - items that have been reviewed by the user viewing the page.

Changing the radio button and clicking Submit reloads the page with the selected filter.

The WikiProjects filter is on T132350: Add interface to filter by WikiProject to CopyPatrol

Event Timeline

DannyH updated the task description. (Show Details)Apr 16 2016, 12:19 AM
DannyH renamed this task from Add interface to filter by triage state to tool labs interface for Plagiabot to Filters by triage state for Plagiabot tool labs interface.May 5 2016, 11:28 PM
DannyH updated the task description. (Show Details)
DannyH updated the task description. (Show Details)
DannyH updated the task description. (Show Details)May 5 2016, 11:48 PM
DannyH set the point value for this task to 5.
MusikAnimal moved this task from Ready to In Development on the Community-Tech-Sprint board.

@Niharika @kaldari pull request at https://github.com/Niharika29/PlagiabotWeb/pull/3

Regarding the interface (cc. @DannyH)

  • I added an "All cases" option, which I think we need, but we might want "Open cases" to be the default
  • The "My reviews" option is hidden if they are logged out

@MusikAnimal: Left some comments in GitHub.

@MusikAnimal Yeah, "All cases" is a good idea, with open cases as the default.

Niharika closed this task as Resolved.Jun 16 2016, 7:33 PM

Looks good. Merged.

@DannyH I did some more testing on this and I think a filter for "All reviewed cases" would be more useful than one for all fixed and one for all not-needed ones. It'd basically give a feed of all reviews that have been made on the tool.

@Niharika Yeah, that does make sense. It's a better fit for the request for an archive. Should we make another ticket?

@Niharika Yeah, that does make sense. It's a better fit for the request for an archive. Should we make another ticket?

We can reuse this one. It should be a trivial change.
CC @MusikAnimal

Yes that makes sense to me too, and indeed is easy to implement.

MusikAnimal moved this task from Backlog to Done on the CopyPatrol board.Dec 6 2016, 5:25 AM